<html>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="stylesheet" href="static/bootstrap-4.0.0-dist/css/bootstrap.css"/>
	<link rel="stylesheet" href="main.css"/>
	<script src="static/jquery-3.3.1.min.js"></script>
	<script src="static/bootstrap-4.0.0-dist/js/bootstrap.js"></script>
	<script src="main.js"></script>
</head>
<body>
	<div class="main">
		<span class="helper"></span>
		<div class="intro">
			<div class="heading">
				<h1>About</h1>
			</div>
			<div class="description">We're trying to see if we can predict your clothing sizes using your mirror selfie. Think about how useful such an app could be for when you're shopping for clothes online!<br>

Do you know your clothing size labels and/or your tailor size measurements? Then you could help us train our app. Click below to see how.</div>
			<div class="example">
				<span class="helper_another"></span>
				<div class="sample_images">
					<div>
						<img src="static/sample_front.jpeg"/>
					</div
					><div>
						<img src="static/sample_side.jpeg"/>
					</div>
				</div
				><div class="sample_text text">As shown in figure from given image model will detect person and cell phone, then it will predict body measurement of person. In ordered to make efficient model, it requires lot of data(person's measurements + mirror selfie). Help us in project by providing your data.</div>
			</div>
			<div class="button">
				<button class="btn btn-primary" id="start">Let's Start</button>
			</div>
		</div>
		<div class="data hide opacity_zero">
			<div class="data_segments_wrapper">
				<div class="data_segment">
					<form class="needs-validation" novalidate>
						<h2>Let's start with height</h2>
						<div class="form-group data_field margin_top">
							<label for="height">Enter your height here(in inch/cm):</label>
							<input type="number" class="form-control" id="height" placeholder="ex. 68 or ex. 170" required>
							<div class="invalid-feedback">
								Please provide a valid height.
							</div>
						</div>
					</form>
				</div>
				<div class="data_segment hide opacity_zero">
					<form class="needs-validation" novalidate>
						<div class="form-group data_field">
							<label for="weist">Do you know your waist?(in inch)</label>
							<input type="number" class="form-control" id="weist" placeholder="ex. 32" required>
							<div class="invalid-feedback">
								Please provide a valid waist.
							</div>
						</div>
						<div class="form-group data_field margin_top">
							<label for="shirt_size">Can you tell us size of Shirt/T-shirt you buy?</label>
							<input type="text" class="form-control" id="shirt_size" placeholder="ex. S/M/L/XL/XXL" required>
							<div class="invalid-feedback">
								Please provide a valid size.
							</div>
						</div>
					</form>
				</div>
				<div class="data_segment hide opacity_zero">
					<form class="needs-validation" novalidate>
						<h2>Upload your mirror selfie (as shown in 1st page)</h2>
						<div class="form-group data_field margin_top">
							<label for="front_image">Front Pose</label>
							<input type="file" accept="image/*" class="form-control" id="front_image" required>
							<div class="invalid-feedback">
								Please provide a valid image.
							</div>
						</div>
						<div class="form-group data_field margin_top">
							<label for="side_image">Side Pose</label>
							<input type="file" accept="image/*" class="form-control" id="side_image" required>
							<div class="invalid-feedback">
								Please provide a valid image.
							</div>
						</div>
						<div class="form-group data_field margin_top">
							<label for="mobile_phone">Which mobile phone have you used to take these pictures?</label>
							<input type="text" class="form-control" id="mobile_phone" placeholder="ex. iphone 6s" required>
							<div class="invalid-feedback">
								Please specify a valid phone model name.
							</div>
						</div>
					</form>
				</div>
				<div class="data_segment hide opacity_zero">
					<h2>Help us providing following measurements of yours if you know them(in inch)</h2>
					<div class="form-group data_field margin_top">
						<label for="chest">Chest:</label>
						<input type="number" class="form-control" id="chest" placeholder="ex. 34">
					</div>
					<div class="form-group data_field margin_top">
						<label for="shoulder_width">Shoulder width:</label>
						<input type="number" class="form-control" id="shoulder_width" placeholder="ex. 17">
					</div>
					<div class="form-group data_field margin_top">
						<label for="pent_length">Pant length:</label>
						<input type="number" class="form-control" id="pent_length" placeholder="ex. 39">
					</div>
					<div class="form-group data_field margin_top">
						<label for="thai">Thigh:</label>
						<input type="number" class="form-control" id="thai" placeholder="ex. 24">
					</div>
				</div>
			</div>
			<div class="next_btn_wrapper">
				<button class="btn btn-primary" id="back_btn">Back</button>
				<button class="btn btn-primary" id="next_btn">Next</button>
			</div>
			<div class="loading_div">
				<span class="helper"></span>
				<div class="loader_wrapper">
					<div class="loader"></div>
					<div class="loader_text">Submitting your data, please wait...</div>
				</div>
			</div>
		</div>
		<div class="end hide opacity_zero">
			<h1>Thank you for participating. Have a nice day!</h1>
			<div class="home_btn_wrapper">
				<form action="/msdata">
					<input type="submit" class="btn btn-primary" value="Back to Home"/>
				</form>
			</div>
		</div>
	</div>
</body>
</html>
